const { rgba } = require('polished');
const { colors } = require('../colors');
const { shadows } = require('../../../src');

const tagStyles = {
  main: {
    background: colors['blue-500'],
    hoverBackground: colors['blue-400'],
    activeBackground: colors['blue-700'],
    focusBorder: colors['blue-500'],
    color: colors.white,
    boxShadow: `0 0 0 0.0625rem ${colors.white}, 0 0 0 0.1875rem ${colors['blue-500']}, ${
      shadows.inner['inner-shadow-2']
    }`,
  },
  remove: {
    background: colors['blue-500'],
    hoverBackground: colors['blue-400'],
    activeBackground: colors['blue-700'],
    icon: {
      background: rgba(colors['gray-1000'], 0.4),
      details: colors.white,
      hoverBackground: '',
      focusBackground: '',
      focusBoxShadow: `0 0 0 0.0625rem transparent, 0 0 0 0.125rem ${colors.white}`,
      activeBackground: '',
    },
  },
};

module.exports = { tagStyles };
